use std::error::Error;
use chrono::NaiveDate;
use super::search::Street;


const BASE_URL: &str = "https://www.ivago.be/nl/particulier/afval/ophaling";



/// Represents a pickup time instance. All fields are a direct map of the
/// original API
pub struct PickupTime {
    date: NaiveDate,
    label: String,
    classes: Vec<String>,
    url: String
}


pub fn get_pickup_times(
    street: Street,
    number: u64,
    start_date: NaiveDate,
    end_date: NaiveDate
) -> Result<Vec<PickupTime>, Box<dyn Error>> {
    Ok(Vec::new())
}
